# Always prefer setuptools over distutils
from setuptools import setup, find_packages
import pypandoc

# To use a consistent encoding
from codecs import open
from os import path

# The directory containing this file
HERE = path.abspath(path.dirname(__file__))

# Get the long description from the README file
try:
    long_description = pypandoc.convert('README.md', 'rst')
    long_description = long_description.replace("\r","") # Do not forget this line
except OSError:
    print("Pandoc not found. Long_description conversion failure.")
    import io
    # pandoc is not installed, fallback to using raw contents
    with io.open('README.md', encoding="utf-8") as f:
        long_description = f.read()

# This call to setup() does all the work
setup(
    name="icqc",
    version="1.1.0",
    description=""" ID Card Quaility Classification """,
    long_description_content_type="text/markdown",
    long_description=long_description,
    author="Ho Ngoc Hoang Minh",
    author_email="hongochoangm@gmail.com",
    license="MIT",
    classifiers=[
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.8",
        "Operating System :: OS Independent"
    ],
    packages=["icqc"],
    include_package_data=True,
    install_requires=["torch","timm","pillow"]
)